Subject: bug#14616: 24.3.50; Excessive cursor movement on non-X Emacs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Jun 2013 18:57:49 +0300

> From: lee <[email-masked]>
> Cc: Lars Magne Ingebrigtsen <[email-masked]>,  [email-masked]
> Date: Tue, 18 Jun 2013 07:22:10 +0200
> 
> > This all sounds very similar to bug #13864, but that one was fixed 2
> > months ago.
> 
> This one: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13864 ?

Yes.

> > Can you use the methodology described in that bug to find out why the
> > screen is being constantly redrawn?  If and when you reach a point
> > where your findings diverge from what was found there, please post
> > your findings here, and we will take it from there.
> 
> Not really because when I run emacs -q and then start gnus, I'm getting
> a problem with nntp servers not being found.  It says in the *Messages*
> buffer:

There's no requirement to do this in "emacs -Q", if the problem cannot
be reproduced there.

> + start emacs (just normally)
> + M-x gnus RET
> + enter a group that has messages all marked as O
> + press enter with the cursor on the first message in the summary buffer
> + that message is displayed and the cursor in the summary buffer moves
>   down by two messages, i. e.:
> 
> 
>     O Message 1 <--Cursor
>     O Message 2
>     O Message 3
>     O Message 4
>     [...]
> 
> 
>   becomes
> 
> 
>     O Message 1
>     O Message 2
>     O Message 3 <-- Cursor
>     O Message 4
>     [...]
> 
> 
> I would expect the cursor to remain on Message 1.  Now when I 'C-x b
> some-other-buffer' to switch to another buffer from the summary display
> --- or run 'emacsclient some-file' --- and then 'C-x o' to the message
> buffer and then press 't' to display the message headers, Message 3 is
> suddenly displayed instead of Message 1 (without showing the headers).

Sounds like an entirely different problem from the one reported by
Lars in this bug report.  Why did you think they are the same?